Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057998 - PRD34 - [RFE] cloud-init options persistence / unification with sysprep options
Summary: PRD34 - [RFE] cloud-init options persistence / unification with sysprep options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 1051041
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-26 11:43 UTC by Itamar Heim
Modified: 2014-09-18 12:24 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Enhancement
Doc Text:
With this update, the Cloud-Init feature is now available in the Edit Virtual Machine window and Edit Template window in addition to the Run Once menu. This makes it possible to configure and apply persistent initialization settings to virtual machines in virtual machine pools and for use in creating templates.
Clone Of: 1051041
Environment:
Last Closed: 2014-06-09 15:01:58 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23594 None None None Never

Description Itamar Heim 2014-01-26 11:43:48 UTC
+++ This bug was initially created as a clone of Bug #1051041 +++

cloud-init options are currently only in Run Once.

Feature is about making it fully persistent (in Edit VM dialog) and also to unify with the existing Windows solution (sysprep). Refactor to reuse code and provide
cloud-init for Linux-based OSes and Sysprep for Windows with similar look and feel and similar set of options and possibilities for customization

--- Additional comment from Shahar Havivi on 2014-01-09 11:03:10 EST ---

posted at:
http://gerrit.ovirt.org/23020
http://gerrit.ovirt.org/23021
http://gerrit.ovirt.org/23022
http://gerrit.ovirt.org/23023

--- Additional comment from Shahar Havivi on 2014-01-09 11:04:16 EST ---

Feature page:
http://www.ovirt.org/Features/vm-init-persistent

Comment 3 Pavel Novotny 2014-03-20 18:11:12 UTC
Verified in rhevm-3.4.0-0.9.beta1.el6ev (av3.1).

Cloud-Init data (sysprep data for Windows-based VMs) can be now persistently saved as part of VM the profile.

Verification:
1. In GUI create a Linux-based VM with following Cloud-Init data (under Initial Run section):
-~-
VM Hostname: vm-cloud-init-persistent
Time Zone: Hawaiian Standard Time
/Authentication/
Root Password: 654321
Verify Root Password: 654321
SSH Authorized Keys: ssh-rsa vm-init-persistent-sshpubkey root@localhost
Regenerate SSH Keys: True
/Networks/
DNS Servers: 10.20.30.40
DNS Search Domains: domain.example.com
Network: eth0
Use DHCP: True
Start on Boot: True
Custom Script:
write_files:
-   content: |
        # THIS IS MY TEXT FILE
        Some Content for my file
    path: /tmp/myfile
    permissions: '0644'
-~-
2. Open VM run once dialog and check parameters in the Initial Run section. They should be the same as defined on the VM - Initial Run in step 1. Note that no sensitive data should be disclosed here (user passwords).
3. Submit the dialog (run the VM) and after VM is up, log in and check that all parameters set in step 1 were applied.

Additional notes: there is known bug 1063518, where user is not allowed to log in to the guest with provided SSH public key.

Comment 4 errata-xmlrpc 2014-06-09 15:01:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.